> ## Documentation Index
> Fetch the complete documentation index at: https://sigma-docs.pastelhq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflows

> ```
GET api/v1/cdd/workflows
```




## OpenAPI

````yaml cdd-model.json GET /cdd/workflows
openapi: 3.1.0
info:
  title: Sigma CDD API
  description: Customer Due Diligence API documentation
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://sigmacdd.sabipay.com/api/v1
    description: Production
security:
  - ApiKey: []
    ApiSecret: []
paths:
  /cdd/workflows:
    get:
      summary: List workflows
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            minimum: 1
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Workflows retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericListResponse'
              example:
                message: Workflows retrieved successfully
                count: 35
                pageNumber: 1
                data:
                  - _id: 6a3e74016bdc8271f1b61d44
                    name: Test 3
                    slug: test-3
                    type: corporate
                  - _id: 6a3e6c486bdc8271f1b60cd9
                    name: KPMG
                    slug: kpmg
                    type: individual
                  - _id: 6a3d1a073edcfd7d9517dd19
                    name: Abbey
                    slug: abbey
                    type: individual
                  - _id: 6a3cf2f03edcfd7d951794ca
                    name: ACCOBIN
                    slug: accobin
                    type: individual
                  - _id: 6a3a403634490b82412ee6f6
                    name: yeneng bank
                    slug: yeneng-bank
                    type: individual
                  - _id: 6a33d747b99aa98dfc5b587d
                    name: YES MFB
                    slug: yes-mfb
                    type: individual
                  - _id: 6a27e48405de034ddf3bbcb0
                    name: ovex 1
                    slug: ovex-1
                    type: individual
                  - _id: 6a217da87bb9edf44affed8b
                    name: sohcahtoa
                    slug: sohcahtoa
                    type: individual
                  - _id: 6a20353f2fcc53f8635020dc
                    name: BVN, passport and PEP verification
                    slug: bvn-passport-and-pep-verification
                    type: corporate
                  - _id: 6a1d77d9230b92484bc1da03
                    name: onoarding-business
                    slug: onoarding-business
                    type: corporate
components:
  schemas:
    GenericListResponse:
      type: object
      properties:
        message:
          type: string
        data:
          type: array
          items:
            type: object
            additionalProperties: true
        count:
          type: integer
        pageNumber:
          type: integer
        totalCount:
          type: integer
      example:
        message: fetched successfully
        data:
          - _id: 67f4f9b5c2a7d1f2b6e99122
            name: Sample record
        count: 1
        pageNumber: 1
        totalCount: 1
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: apiKey
    ApiSecret:
      type: apiKey
      in: header
      name: apiSecret

````